Bug 1564451 - The abandon job for patches should post info in bugzilla that some patch is abandon'd. [NEEDINFO]
Summary: The abandon job for patches should post info in bugzilla that some patch is a...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard: Process-Automation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 10:31 UTC by Amar Tumballi
Modified: 2020-02-28 10:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-28 10:39:10 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
dkhandel: needinfo? (mscherer)


Attachments (Terms of Use)

Description Amar Tumballi 2018-04-06 10:31:43 UTC
# Description of problem:

Today there are many users who just report bug, and not followup much in gerrit for the fix. When the fix is posted, the bug gets updated, and automatically transitioned. But assuming it gets abandon'd due to inactivity or something else, bugzilla users won't even have a clue. So, it would be good to leave a note in bugzilla that patch is now abandon'd. So relevant people may take actions.

# Additional info:

I am not sure if it should bother to transition back the status to ASSIGNED/NEW in that case. Lets keep that one for later. For now, just a update in bugzilla is good enough, saying "The patch <URL> is abandon'd due to inactivity" (not sure we can capture abandon click from browser as a event, even in that case, it should be noted in bugzilla.

Again, for now, not expecting github post for this. We will get to it later.

Comment 1 Nigel Babu 2018-10-05 08:46:06 UTC
Adding to sprint 5!

Comment 2 Nigel Babu 2019-02-04 02:59:25 UTC
The code for this is written in the bugzilla script, but this needs a Jenkins job to actually call the script.

Comment 4 Deepshikha khandelwal 2020-02-27 06:51:26 UTC
Should I close this bug considering we are migrating from Bugzilla?

Comment 5 Worker Ant 2020-02-28 10:39:10 UTC
This bug is moved to https://api.github.com/repos/gluster/build-jobs/issues/2, and will be tracked there from now on. Visit GitHub issues URL for further details


Note You need to log in before you can comment on or make changes to this bug.